summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorDiego Elio Pettenò <flameeyes@gentoo.org>2006-02-24 10:08:43 +0000
committerDiego Elio Pettenò <flameeyes@gentoo.org>2006-02-24 10:08:43 +0000
commite2e4f4775c625435250b08becf4e2c8fb49e96b3 (patch)
treef937d860150cdaba77208e12d944f950a0a708ad /eclass
parentinitial commit - ebuild submitted by Horst Schirmeier via bug #93695 (diff)
downloadgentoo-2-e2e4f4775c625435250b08becf4e2c8fb49e96b3.tar.gz
gentoo-2-e2e4f4775c625435250b08becf4e2c8fb49e96b3.tar.bz2
gentoo-2-e2e4f4775c625435250b08becf4e2c8fb49e96b3.zip
Fix || ( ) blocks with only one entry.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/qt3.eclass11
1 files changed, 7 insertions, 4 deletions
diff --git a/eclass/qt3.eclass b/eclass/qt3.eclass
index 91e066b725b9..b1ece4fbe2d7 100644
--- a/eclass/qt3.eclass
+++ b/eclass/qt3.eclass
@@ -1,6 +1,6 @@
# Copyright 2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/qt3.eclass,v 1.12 2005/09/19 15:28:17 greg_g Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/qt3.eclass,v 1.13 2006/02/24 10:08:43 flameeyes Exp $
#
# Author Caleb Tennis <caleb@gentoo.org>
#
@@ -28,9 +28,12 @@ addwrite "${QTDIR}/etc/settings"
addpredict "${QTDIR}/etc/settings"
qt_min_version() {
- echo "|| ("
- qt_min_version_list "$@"
- echo ")"
+ local list=$(qt_min_version_list "$@")
+ if [[ ${list%% *} == "${list}" ]]; then
+ echo "${list}"
+ else
+ echo "|| ( ${list} )"
+ fi
}
qt_min_version_list() {